# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{ config, lib, pkgs, modulesPath, ... }:

{
  imports =
    [ (modulesPath + "/installer/scan/not-detected.nix")
    ];

  boot.initrd.availableKernelModules = [ "nvme" "xhci_pci" "usb_storage" "sd_mod" ];
  boot.initrd.kernelModules = [ ];
  boot.kernelModules = [ "kvm-amd" ];
  boot.extraModulePackages = [ ];

  fileSystems."/" =
    { device = "/dev/mapper/luks-f9489eb0-dbb2-4d70-b18a-f1c7f32f8090";
      fsType = "btrfs";
      options = [ "subvol=@" ];
    };

  boot.initrd.luks.devices."luks-f9489eb0-dbb2-4d70-b18a-f1c7f32f8090".device = "/dev/disk/by-uuid/f9489eb0-dbb2-4d70-b18a-f1c7f32f8090";

  fileSystems."/boot" =
    { device = "/dev/disk/by-uuid/81B7-DE3A";
      fsType = "vfat";
      options = [ "fmask=0077" "dmask=0077" ];
    };

  fileSystems."/home" =
    { device = "/dev/mapper/luks-356a8b96-5644-436a-9c0d-cd1f16865b5c";
      fsType = "btrfs";
    };

  boot.initrd.luks.devices."luks-356a8b96-5644-436a-9c0d-cd1f16865b5c".device = "/dev/disk/by-uuid/356a8b96-5644-436a-9c0d-cd1f16865b5c";

  fileSystems."/mnt/fileStorage" =
    { device = "/dev/mapper/luks-97d5b300-9b64-49d6-b8a0-6335afe3e072";
      fsType = "btrfs";
    };

  boot.initrd.luks.devices."luks-97d5b300-9b64-49d6-b8a0-6335afe3e072".device = "/dev/disk/by-uuid/97d5b300-9b64-49d6-b8a0-6335afe3e072";

  swapDevices =
    [ { device = "/dev/disk/by-uuid/35fa175f-6ace-49b8-a131-877531c97c7b"; }
    ];

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  hardware.cpu.amd.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
}
